## mythtv 31.0%2Bfixes.20200323.9579662cdc

=== Makefile ===
include config.mak

MAKE_SUBDIRS = external
QT_SUBDIRS   = libs html programs themes i18n locales

ifdef CONFIG_BINDINGS_PERL
    MAKE_SUBDIRS += bindings/perl
endif

ifdef CONFIG_BINDINGS_PYTHON
    MAKE_SUBDIRS += bindings/python
endif

ifdef CONFIG_BINDINGS_PHP
    MAKE_SUBDIRS += bindings/php
endif


SUBDIRS += $(MAKE_SUBDIRS) $(QT_SUBDIRS)

.PHONY: subdirs $(SUBDIRS)                        \
	clean     $(addsuffix _clean,    $(SUBDIRS))  \
	distclean $(addsuffix _distclean,$(SUBDIRS))  \
	install   $(addsuffix _install,  $(SUBDIRS))  \
	uninstall $(addsuffix _uninstall,$(SUBDIRS))  \
	global tags TAGS cleanold compdb \
	libs/libmythbase/version.h force

all: libs/libmythbase/version.h subdirs
tests: test
all_no_test: all
force:

config.mak:
	$(error run configure to create $@)

# Override PWD in case this is run from a makefile at a higher level with
# make -C mythtv
PWD := $(shell pwd)

libs/libmythbase/version.h:	version.sh force
	sh version.sh $(PWD)

# explicit subdir dependencies
libs: external
programs: libs


subdirs: $(SUBDIRS)

settings.pro: config.mak
%.pro: settings.pro

# explicit prerequisites for qmake generated makefiles
libs/Makefile: libs/libs.pro
html/Makefile: html/html.pro
programs/Makefile: programs/programs.pro
themes/Makefile: themes/themes.pro
i18n/Makefile: i18n/i18n.pro
locales/Makefile: locales/locales.pro

$(addsuffix /Makefile,$(QT_SUBDIRS)): %/Makefile :
	cd $*; $(QMAKE) QMAKE=$(QMAKE) -o $(@F) $(<F)

$(SUBDIRS): $(addsuffix /Makefile,$(SUBDIRS)) libs/libmythbase/version.h
	$(MAKE) -C $@

$(addsuffix _clean,$(SUBDIRS)): $(addsuffix /Makefile,$(SUBDIRS))
	$(MAKE) -C $(subst _clean,,$@) clean

$(addsuffix _distclean,$(SUBDIRS)): $(addsuffix /Makefile,$(SUBDIRS))
	$(MAKE) -C $(subst _distclean,,$@) distclean

$(addsuffix _install,$(SUBDIRS)): $(addsuffix /Makefile,$(SUBDIRS))
	$(MAKE) -C $(subst _install,,$@) install INSTALL_ROOT=${INSTALL_ROOT}

$(addsuffix _uninstall,$(SUBDIRS)): $(addsuffix /Makefile,$(SUBDIRS))
	$(MAKE) -C $(subst _uninstall,,$@) uninstall

clean: $(addsuffix _clean,$(SUBDIRS))

distclean: $(addsuffix _distclean,$(SUBDIRS))
	-rm -f libs/libmythbase/mythconfig.mak config.mak
	-rm -f libs/libmythbase/mythconfig.h   config.h
	-rm -f libs/libmythbase/version.h
	-rm -f libs/libavutil/avconfig.h
	-rm -f external/FFmpeg/libavutil/avconfig.h
	-rm -f config.ep
	-rm -f $(addsuffix /Makefile,$(QT_SUBDIRS))
	-rm -f ../GPATH ../GRTAGS ../GTAGS
	-rm -f ../TAGS ../tags

install: $(addsuffix _install,$(SUBDIRS))

uninstall: $(addsuffix _uninstall,$(SUBDIRS))
	-rmdir $(INSTALL_ROOT)/${PREFIX}/include/mythtv
	-rmdir $(INSTALL_ROOT)/${PREFIX}/lib/mythtv
	-rmdir $(INSTALL_ROOT)/${PREFIX}/share/mythtv

test: libs/libmythbase/version.h subdirs
	cd libs ; $(MAKE) test

ctags tags:
	@echo "Making tags..."
	@cd .. ; rm -f tags
	@cd .. ; find . -name \*.h -o -name \*.c -o -name \*.cpp | grep -v moc_ | xargs -r ctags -a

etags TAGS:
	@echo "Making TAGS..."
	@cd .. ; rm -f TAGS
	@cd .. ; find . -name \*.h -o -name \*.c -o -name \*.cpp | grep -v moc_ | xargs -r etags -a

global GPATH GRTAGS GTAGS:
	@echo "Making global tags..."
	@cd .. ; rm -f GPATH GRTAGS GTAGS
	@cd .. ; find . -name \*.h -o -name \*.c -o -name \*.cpp | grep -v moc_ | gtags -f -

cleanall: clean
	@echo "Removing old moc and .o files missed by 'clean'..."
	@find .. -name moc_* -o -name *.o -name *.o.json | xargs -r rm

compdb:
	@echo "Building ../compile_commands.json"
	@programs/scripts/build_compdb.py

=== external/FFmpeg/libavformat/Makefile ===
NAME = avformat
DESC = FFmpeg container format library

HEADERS = avformat.h                                                    \
          avio.h                                                        \
          version.h                                                     \

OBJS = allformats.o         \
       avio.o               \
       aviobuf.o            \
       cutils.o             \
       dump.o               \
       format.o             \
       id3v1.o              \
       id3v2.o              \
       metadata.o           \
       mux.o                \
       options.o            \
       os_support.o         \
       qtpalette.o          \
       protocols.o          \
       riff.o               \
       sdp.o                \
       url.o                \
       utils.o              \
       utils-mythtv.o       \

OBJS-$(HAVE_LIBC_MSVCRT)                 += file_open.o

# subsystems
OBJS-$(CONFIG_ISO_MEDIA)                 += isom.o
OBJS-$(CONFIG_NETWORK)                   += network.o
OBJS-$(CONFIG_RIFFDEC)                   += riffdec.o
OBJS-$(CONFIG_RIFFENC)                   += riffenc.o
OBJS-$(CONFIG_RTPDEC)                    += rdt.o                       \
                                            rtp.o                       \
                                            rtpdec.o                    \
                                            rtpdec_ac3.o                \
                                            rtpdec_amr.o                \
                                            rtpdec_asf.o                \
                                            rtpdec_dv.o                 \
                                            rtpdec_g726.o               \
                                            rtpdec_h261.o               \
                                            rtpdec_h263.o               \
                                            rtpdec_h263_rfc2190.o       \
                                            rtpdec_h264.o               \
                                            rtpdec_hevc.o               \
                                            rtpdec_ilbc.o               \
                                            rtpdec_jpeg.o               \
                                            rtpdec_latm.o               \
                                            rtpdec_mpa_robust.o         \
                                            rtpdec_mpeg12.o             \
                                            rtpdec_mpeg4.o              \
                                            rtpdec_mpegts.o             \
                                            rtpdec_qcelp.o              \
                                            rtpdec_qdm2.o               \
                                            rtpdec_qt.o                 \
                                            rtpdec_rfc4175.o            \
                                            rtpdec_svq3.o               \
                                            rtpdec_vc2hq.o              \
                                            rtpdec_vp8.o                \
                                            rtpdec_vp9.o                \
                                            rtpdec_xiph.o
OBJS-$(CONFIG_RTPENC_CHAIN)              += rtpenc_chain.o rtp.o
OBJS-$(CONFIG_SHARED)                    += log2_tab.o golomb_tab.o
OBJS-$(CONFIG_SRTP)                      += srtp.o

# muxers/demuxers
OBJS-$(CONFIG_A64_MUXER)                 += a64.o rawenc.o
OBJS-$(CONFIG_AA_DEMUXER)                += aadec.o
OBJS-$(CONFIG_AAC_DEMUXER)               += aacdec.o apetag.o img2.o rawdec.o
OBJS-$(CONFIG_AC3_DEMUXER)               += ac3dec.o rawdec.o
OBJS-$(CONFIG_AC3_MUXER)                 += rawenc.o
OBJS-$(CONFIG_ACM_DEMUXER)               += acm.o rawdec.o
OBJS-$(CONFIG_ACT_DEMUXER)               += act.o
OBJS-$(CONFIG_ADF_DEMUXER)               += bintext.o sauce.o
OBJS-$(CONFIG_ADP_DEMUXER)               += adp.o
OBJS-$(CONFIG_ADS_DEMUXER)               += ads.o
OBJS-$(CONFIG_ADTS_MUXER)                += adtsenc.o apetag.o img2.o \
                                            id3v2enc.o
OBJS-$(CONFIG_ADX_DEMUXER)               += adxdec.o
OBJS-$(CONFIG_ADX_MUXER)                 += rawenc.o
OBJS-$(CONFIG_AEA_DEMUXER)               += aea.o pcm.o
OBJS-$(CONFIG_AFC_DEMUXER)               += afc.o
OBJS-$(CONFIG_AIFF_DEMUXER)              += aiffdec.o pcm.o isom.o \
                                            mov_chan.o
OBJS-$(CONFIG_AIFF_MUXER)                += aiffenc.o id3v2enc.o
OBJS-$(CONFIG_AIX_DEMUXER)               += aixdec.o
OBJS-$(CONFIG_AMR_DEMUXER)               += amr.o
OBJS-$(CONFIG_AMR_MUXER)                 += amr.o
OBJS-$(CONFIG_AMRNB_DEMUXER)             += amr.o
OBJS-$(CONFIG_AMRWB_DEMUXER)             += amr.o
OBJS-$(CONFIG_ANM_DEMUXER)               += anm.o
OBJS-$(CONFIG_APC_DEMUXER)               += apc.o
OBJS-$(CONFIG_APE_DEMUXER)               += ape.o apetag.o img2.o
OBJS-$(CONFIG_APNG_DEMUXER)              += apngdec.o
OBJS-$(CONFIG_APNG_MUXER)                += apngenc.o
OBJS-$(CONFIG_APTX_DEMUXER)              += aptxdec.o rawdec.o
OBJS-$(CONFIG_APTX_MUXER)                += rawenc.o
OBJS-$(CONFIG_APTX_HD_DEMUXER)           += aptxdec.o rawdec.o
OBJS-$(CONFIG_APTX_HD_MUXER)             += rawenc.o
OBJS-$(CONFIG_AQTITLE_DEMUXER)           += aqtitledec.o subtitles.o
OBJS-$(CONFIG_ASF_DEMUXER)               += asfdec_f.o asf.o asfcrypt.o \
                                            avlanguage.o
OBJS-$(CONFIG_ASF_O_DEMUXER)             += asfdec_o.o asf.o asfcrypt.o \
                                            avlanguage.o
OBJS-$(CONFIG_ASF_MUXER)                 += asfenc.o asf.o avlanguage.o
OBJS-$(CONFIG_ASS_DEMUXER)               += assdec.o subtitles.o
OBJS-$(CONFIG_ASS_MUXER)                 += assenc.o
OBJS-$(CONFIG_AST_DEMUXER)               += ast.o astdec.o
OBJS-$(CONFIG_AST_MUXER)                 += ast.o astenc.o
OBJS-$(CONFIG_AU_DEMUXER)                += au.o pcm.o
OBJS-$(CONFIG_AU_MUXER)                  += au.o rawenc.o
OBJS-$(CONFIG_AVI_DEMUXER)               += avidec.o
OBJS-$(CONFIG_AVI_MUXER)                 += avienc.o mpegtsenc.o avlanguage.o rawutils.o
OBJS-$(CONFIG_AVM2_MUXER)                += swfenc.o swf.o
OBJS-$(CONFIG_AVR_DEMUXER)               += avr.o pcm.o
OBJS-$(CONFIG_AVS_DEMUXER)               += avs.o voc_packet.o vocdec.o voc.o
OBJS-$(CONFIG_AVS2_DEMUXER)              += davs2.o rawdec.o
OBJS-$(CONFIG_AVS2_MUXER)                += rawenc.o
OBJS-$(CONFIG_BETHSOFTVID_DEMUXER)       += bethsoftvid.o
OBJS-$(CONFIG_BFI_DEMUXER)               += bfi.o
OBJS-$(CONFIG_BINK_DEMUXER)              += bink.o
OBJS-$(CONFIG_BINTEXT_DEMUXER)           += bintext.o sauce.o
OBJS-$(CONFIG_BIT_DEMUXER)               += bit.o
OBJS-$(CONFIG_BIT_MUXER)                 += bit.o
OBJS-$(CONFIG_BMV_DEMUXER)               += bmv.o
OBJS-$(CONFIG_BOA_DEMUXER)               += boadec.o
OBJS-$(CONFIG_BFSTM_DEMUXER)             += brstm.o
OBJS-$(CONFIG_BRSTM_DEMUXER)             += brstm.o
OBJS-$(CONFIG_C93_DEMUXER)               += c93.o voc_packet.o vocdec.o voc.o
OBJS-$(CONFIG_CAF_DEMUXER)               += cafdec.o caf.o mov_chan.o mov_esds.o
OBJS-$(CONFIG_CAF_MUXER)                 += cafenc.o caf.o riff.o
OBJS-$(CONFIG_CAVSVIDEO_DEMUXER)         += cavsvideodec.o rawdec.o
OBJS-$(CONFIG_CAVSVIDEO_MUXER)           += rawenc.o
OBJS-$(CONFIG_CDG_DEMUXER)               += cdg.o
OBJS-$(CONFIG_CDXL_DEMUXER)              += cdxl.o
OBJS-$(CONFIG_CINE_DEMUXER)              += cinedec.o
OBJS-$(CONFIG_CODEC2_DEMUXER)            += codec2.o rawdec.o pcm.o
OBJS-$(CONFIG_CODEC2_MUXER)              += codec2.o rawenc.o
OBJS-$(CONFIG_CODEC2RAW_DEMUXER)         += codec2.o rawdec.o pcm.o
OBJS-$(CONFIG_CODEC2RAW_MUXER)           += rawenc.o
OBJS-$(CONFIG_CONCAT_DEMUXER)            += concatdec.o
OBJS-$(CONFIG_CRC_MUXER)                 += crcenc.o
OBJS-$(CONFIG_DATA_DEMUXER)              += rawdec.o
OBJS-$(CONFIG_DATA_MUXER)                += rawenc.o
OBJS-$(CONFIG_DASH_MUXER)                += dash.o dashenc.o hlsplaylist.o
OBJS-$(CONFIG_DASH_DEMUXER)              += dash.o dashdec.o
OBJS-$(CONFIG_DAUD_DEMUXER)              += dauddec.o
OBJS-$(CONFIG_DAUD_MUXER)                += daudenc.o
OBJS-$(CONFIG_DCSTR_DEMUXER)             += dcstr.o
OBJS-$(CONFIG_DFA_DEMUXER)               += dfa.o
OBJS-$(CONFIG_DHAV_DEMUXER)              += dhav.o
OBJS-$(CONFIG_DIRAC_DEMUXER)             += diracdec.o rawdec.o
OBJS-$(CONFIG_DIRAC_MUXER)               += rawenc.o
OBJS-$(CONFIG_DNXHD_DEMUXER)             += dnxhddec.o rawdec.o
OBJS-$(CONFIG_DNXHD_MUXER)               += rawenc.o
OBJS-$(CONFIG_DSF_DEMUXER)               += dsfdec.o
OBJS-$(CONFIG_DSICIN_DEMUXER)            += dsicin.o
OBJS-$(CONFIG_DSS_DEMUXER)               += dss.o
OBJS-$(CONFIG_DTSHD_DEMUXER)             += dtshddec.o
OBJS-$(CONFIG_DTS_DEMUXER)               += dtsdec.o rawdec.o
OBJS-$(CONFIG_DTS_MUXER)                 += rawenc.o
OBJS-$(CONFIG_DV_DEMUXER)                += dv.o
OBJS-$(CONFIG_DV_MUXER)                  += dvenc.o
OBJS-$(CONFIG_DVBSUB_DEMUXER)            += dvbsub.o rawdec.o
OBJS-$(CONFIG_DVBTXT_DEMUXER)            += dvbtxt.o rawdec.o
OBJS-$(CONFIG_DXA_DEMUXER)               += dxa.o
OBJS-$(CONFIG_EA_CDATA_DEMUXER)          += eacdata.o
OBJS-$(CONFIG_EA_DEMUXER)                += electronicarts.o
OBJS-$(CONFIG_EAC3_DEMUXER)              += ac3dec.o rawdec.o
OBJS-$(CONFIG_EAC3_MUXER)                += rawenc.o
OBJS-$(CONFIG_EPAF_DEMUXER)              += epafdec.o pcm.o
OBJS-$(CONFIG_FFMETADATA_DEMUXER)        += ffmetadec.o
OBJS-$(CONFIG_FFMETADATA_MUXER)          += ffmetaenc.o
OBJS-$(CONFIG_FIFO_MUXER)                += fifo.o
OBJS-$(CONFIG_FIFO_TEST_MUXER)           += fifo_test.o
OBJS-$(CONFIG_FILMSTRIP_DEMUXER)         += filmstripdec.o
OBJS-$(CONFIG_FILMSTRIP_MUXER)           += filmstripenc.o
OBJS-$(CONFIG_FITS_DEMUXER)              += fitsdec.o
OBJS-$(CONFIG_FITS_MUXER)                += fitsenc.o
OBJS-$(CONFIG_FLAC_DEMUXER)              += flacdec.o rawdec.o \
                                            flac_picture.o   \
                                            oggparsevorbis.o \
                                            replaygain.o     \
                                            vorbiscomment.o
OBJS-$(CONFIG_FLAC_MUXER)                += flacenc.o flacenc_header.o \
                                            vorbiscomment.o
OBJS-$(CONFIG_FLIC_DEMUXER)              += flic.o
OBJS-$(CONFIG_FLV_DEMUXER)               += flvdec.o
OBJS-$(CONFIG_LIVE_FLV_DEMUXER)          += flvdec.o
OBJS-$(CONFIG_FLV_MUXER)                 += flvenc.o avc.o
OBJS-$(CONFIG_FOURXM_DEMUXER)            += 4xm.o
OBJS-$(CONFIG_FRAMECRC_MUXER)            += framecrcenc.o framehash.o
OBJS-$(CONFIG_FRAMEHASH_MUXER)           += hashenc.o framehash.o
OBJS-$(CONFIG_FRAMEMD5_MUXER)            += hashenc.o framehash.o
OBJS-$(CONFIG_FRM_DEMUXER)               += frmdec.o
OBJS-$(CONFIG_FSB_DEMUXER)               += fsb.o
OBJS-$(CONFIG_GIF_MUXER)                 += gif.o
OBJS-$(CONFIG_GIF_DEMUXER)               += gifdec.o
OBJS-$(CONFIG_GSM_DEMUXER)               += gsmdec.o
OBJS-$(CONFIG_GSM_MUXER)                 += rawenc.o
OBJS-$(CONFIG_GXF_DEMUXER)               += gxf.o
OBJS-$(CONFIG_GXF_MUXER)                 += gxfenc.o audiointerleave.o
OBJS-$(CONFIG_G722_DEMUXER)              += g722.o rawdec.o
OBJS-$(CONFIG_G722_MUXER)                += rawenc.o
OBJS-$(CONFIG_G723_1_DEMUXER)            += g723_1.o
OBJS-$(CONFIG_G723_1_MUXER)              += rawenc.o
OBJS-$(CONFIG_G726_DEMUXER)              += g726.o
OBJS-$(CONFIG_G726_MUXER)                += rawenc.o
OBJS-$(CONFIG_G726LE_DEMUXER)            += g726.o
OBJS-$(CONFIG_G726LE_MUXER)              += rawenc.o
OBJS-$(CONFIG_G729_DEMUXER)              += g729dec.o
OBJS-$(CONFIG_GDV_DEMUXER)               += gdv.o
OBJS-$(CONFIG_GENH_DEMUXER)              += genh.o
OBJS-$(CONFIG_H261_DEMUXER)              += h261dec.o rawdec.o

## mythtv 31.0+fixes.20200207.35cb9ed0c5

=== debian/changelog ===
mythtv (2:31.0+fixes.20200207.35cb9ed0c5-0ubuntu2) focal; urgency=medium

  * Re-add change dropped in recent merges:
    - mythgame: Depend on python3 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 07:53:22 +0100

mythtv (2:31.0+fixes.20200207.35cb9ed0c5-0ubuntu1) focal; urgency=medium

  * Scripted Build from fixes git packaging [8636172]
  * Packaging changes between  and 20200207:
  * New upstream checkout (35cb9ed0c5)
    - Fixes FTBFS on big endian architectures.

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 07 Feb 2020 09:44:23 -0600

mythtv (2:31.0~master) bionic; urgency=medium

  * Dummy entry 

 -- Thomas Mashos <thomas@mashos.com>  Fri, 16 Nov 2018 12:33:39 -0700

=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>,
           Andres Mejia <amejia@debian.org>,
Homepage: http://www.mythtv.org
Standards-Version: 3.9.4
Vcs-Git: git://github.com/MythTV/packaging.git
Build-Conflicts: libqt3-mt-dev
Build-Depends:  debhelper (>= 9),
                quilt,
                ccache,
                nasm,
                help2man,
                qtdeclarative5-dev,
                libqt5webkit5-dev,
                libqt5opengl5-dev,
                qtscript5-dev,
                qt5-qmake,
                po-debconf,
                linux-kernel-headers,
                libdvdnav-dev,
                libfreetype6-dev,
                libavc1394-dev,
                libiec61883-dev,
                liblircclient-dev,
                libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
                libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
                libcrystalhd-dev [i386 amd64],
                libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
                libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                libimlib2-dev,
                libasound2-dev,
                libmp3lame-dev | liblame-dev,
                libsamplerate0-dev,
                libvorbis-dev,
                libdts-dev,
                lsb-release,
                libpulse-dev,
                libxrandr-dev,
                libfftw3-dev,
                libva-dev,
                libvdpau-dev | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
                libudev-dev,
                libclass-dbi-perl,
                libnet-upnp-perl,
                libio-socket-inet6-perl,
                libdbd-mysql-perl,
                libjson-perl,
                libwww-perl,
                dh-python | python-central,
                python3,
                python3-lxml,
                python3-mysqldb,
                python3-requests,
                python3-simplejson,
                python3-future,
                libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
                libdvdread-dev | libdvdread3-dev,
                fftw-dev,
                libvorbis-dev,
                libflac-dev,
                libmad0-dev,
                libcdaudio-dev,
                libcdio-dev,
                libcdparanoia-dev | libcdparanoia0-dev,
                libsdl2-dev,
                libfaad-dev | libfaad2-dev,
                libexif-dev (>= 0.6.9-6),
                libtiff5-dev | libtiff4-dev | libtiff-dev,
                libxv-dev,
                libtag1-dev,
                libvisual-0.4-dev,
                default-libmysqlclient-dev | libmysqlclient-dev,
                libdate-manip-perl,
                libxml-simple-perl,
                libimage-size-perl,
                libdatetime-format-iso8601-perl,
                libsoap-lite-perl,
                libx264-dev,
                libvpx-dev,
                libavahi-compat-libdnssd-dev,
                libssl-dev,
                libcdio-cdda-dev,
                libcdio-paranoia-dev,
                libxml2-dev,
                libass-dev,
                libcec-dev,
                libexiv2-dev,
                uuid-dev,
                libxml-xpath-perl,
                git,
                libsystemd-dev,
                dh-systemd,
                libraspberrypi-dev [armhf] | hello,
                libbluray-dev,
                libxnvctrl-dev,
                liblzo2-dev,
                libxcb-shm0-dev,
                libhdhomerun-dev

Package: mythtv
Architecture: all
Depends: default-mysql-server | virtual-mysql-server | mysql-server-5.7 | mysql-server-5.6 | mariadb-server,
         mythtv-database,
         mythtv-frontend,
         mythtv-backend,
         ntp | time-daemon | ntp-simple,
         ${misc:Depends}
Suggests: mythtv-doc
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the Metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: any
Pre-Depends: pwgen,
Depends: adduser,
         default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
         fonts-liberation | ttf-liberation,
         fonts-droid-fallback | fonts-droid | ttf-droid,
         ttf-dejavu,
         fonts-tlwg-purisa,
         fonts-texgyre | tex-gyre,
         libxml-xpath-perl,
         pciutils,
         usbutils,
         python3,
         python3-requests,
         python3-requests-cache,
         python3-simplejson,
         python3-mysqldb,
         python3-lxml,
         python3-future,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: mythtv-doc
Recommends: mythtv-dbg
Conflicts: mythtv (<< 0.8-1),
           mythmusic (<< 0.20.99+trunk14393),
           mythweather (<< 0.20.99+trunk14393),
           mythcontrols,
           mythtv-themes,
           mythtv-theme-mythcenter,
           mythtv-theme-mythcenter-wide,
           mythtv-theme-gray-osd,
           mythtv-theme-isthmus,
           mythtv-theme-blootube,
           mythtv-theme-blootube-wide,
           mythtv-theme-blootubelite-wide,
           mythtv-theme-glass-wide,
           mythtv-theme-projectgrayhem,
           mythtv-theme-proejctgrayhem-wide,
           mythtv-theme-metallurgy,
           mythtv-theme-minimalist-wide,
           mythtv-theme-retro,
           mythtv-theme-titivillus,
           mythtv-theme-iulius,
           mythtv-theme-childish,
           mythtv-theme-neon-wide
Replaces:  mythtv (<< 0.8-1),
           mythtv-frontend (<< 0.23.0~trunk23548),
           mythmusic (<< 0.20.99+trunk14393),
           mythweather (<< 0.20.99+trunk14393),
           mythcontrols (<< 0.20.trunk19500),
           mythcontrols, mythtv-theme-mythcenter,
           mythtv-theme-mythcenter-wide,
           mythtv-theme-isthmus,
           mythtv-theme-gray-osd,
           mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
           mythtv-database (<< 0.24.0~trunk25638),
           mythvideo,
           mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4)
Breaks:    mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
           mythvideo,
           mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4)
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts: mythtv (<< 0.8-1)
Section: doc
Replaces: mythtv (<< 0.8-1)
Depends: ${misc:Depends}
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends: mythtv-common,
         libdbd-mysql-perl,
         default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
         cron,
         ${misc:Depends}
Recommends: update-notifier | update-notifier-kde
Conflicts: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Replaces: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Depends: mythtv-common, mythtv-transcode-utils, ${shlibs:Depends}, cron, wget, zenity | kdebase-bin, xterm, python3, libjs-jquery, libxml-simple-perl, ${misc:Depends}
Conflicts: mythtv (<< 0.8-1)
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<= 0.20-0.4)
Recommends: ntp | time-daemon | ntp-simple, logrotate, libmyth-python, libmythtv-perl, hdhomerun-config
Suggests: mythtv-frontend, mythweb, mythtv-database, xmltv-util
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
Conflicts: mythtv-backend (<< 0.20.2-0ubuntu1)
Replaces: mythtv-backend (<< 0.20.2-0ubuntu1)
Suggests: mythtv-backend, mytharchive
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common,
         ${shlibs:Depends},
         ${misc:Depends},
         libnotify-bin,
         adduser,
         zenity | kdebase-bin,
         wmctrl,
         libxml-simple-perl,
         libwww-perl,
         libmyth-python,
         python3,
         libgles2-mesa-dev [armhf],
         libegl1-mesa-dev [armhf],
Recommends: libmythtv-perl, python3-imaging | python3-pil, udisks2 | udisks
Suggests: mythtv-backend, mythmusic, mythweather, mythgame, ntp | time-daemon | ntp-simple
Conflicts: mythtv (<< 0.8-1), mythappearance (<< 0.21.0), mythstream (<< 0.21.0), mythflix (<< 0.23.0)
Replaces: mythtv (<< 0.8-1),  mythappearance (<< 0.21.0), mythvideo
Breaks: mythvideo
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libqt5sql5-mysql, ${misc:Depends}
